Bug 21694 - Add the Koha::Account->lines method
Summary: Add the Koha::Account->lines method
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 13098
Blocks: 21681 21696
  Show dependency treegraph
 
Reported: 2018-10-26 18:02 UTC by Jonathan Druart
Modified: 2019-10-14 19:56 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21694: Add the Koha::Account->lines method (2.87 KB, patch)
2018-10-26 18:11 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21694: Keep the context (894 bytes, patch)
2018-10-26 18:11 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21694: Add the Koha::Account->lines method (2.93 KB, patch)
2018-10-27 11:48 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 21694: Keep the context (949 bytes, patch)
2018-10-27 11:48 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 21694: Add the Koha::Account->lines method (2.92 KB, patch)
2018-10-30 20:17 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21694: Keep the context (949 bytes, patch)
2018-10-30 20:17 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-10-26 18:02:54 UTC
Koha::Account->lines will return a set of Koha::Account::Line
Comment 1 Jonathan Druart 2018-10-26 18:11:04 UTC
Created attachment 81323 [details] [review]
Bug 21694: Add the Koha::Account->lines method

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 2 Jonathan Druart 2018-10-26 18:11:08 UTC
Created attachment 81324 [details] [review]
Bug 21694: Keep the context

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Tomás Cohen Arazi 2018-10-27 11:48:03 UTC
Created attachment 81357 [details] [review]
Bug 21694: Add the Koha::Account->lines method

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Tomás Cohen Arazi 2018-10-27 11:48:10 UTC
Created attachment 81358 [details] [review]
Bug 21694: Keep the context

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 Josef Moravec 2018-10-29 12:46:55 UTC
Could you rebase please?
Comment 6 Josef Moravec 2018-10-30 06:35:54 UTC
Sorry, but it does not apply on top of master + bug 13098

I am still getting 
fatal: sha1 information is lacking or useless (Koha/Account.pm).
Comment 7 Martin Renvoize 2018-10-30 19:23:01 UTC
I can't replicate the sha1 issue I'm afraid..
Comment 8 Martin Renvoize 2018-10-30 20:17:56 UTC
Created attachment 81637 [details] [review]
Bug 21694: Add the Koha::Account->lines method

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 9 Martin Renvoize 2018-10-30 20:17:59 UTC
Created attachment 81638 [details] [review]
Bug 21694: Keep the context

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 10 Josef Moravec 2018-10-31 06:30:59 UTC
I was not able to apply it on top of bug 13098, but on top of bug 13098 + bug 21673 it applies, setting back to Passed QA
Comment 11 Nick Clemens 2018-10-31 15:05:19 UTC
Awesome work all!

Pushed to master for 18.11
Comment 12 Martin Renvoize 2018-11-09 16:10:06 UTC
Enhancement, will not be backported for now to 18.05.x series.